Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service.binding
Interface BindingProvider

All Known Implementing Classes:
  AegisBindingProvider, MessageBindingProvider

    public interface BindingProvider

Method Summary
`void` | `initialize(Service newParam)`
`java.lang.Object` | `readHeader(MessageHeaderInfo p, MessageContext context)`
`java.lang.Object` | `readParameter(MessagePartInfo p, javax.xml.stream.XMLStreamReader reader, MessageContext context)`
`void` | `writeHeader(MessagePartInfo p, MessageContext context, java.lang.Object value)`
`void` | `writeParameter(MessagePartInfo p, javax.xml.stream.XMLStreamWriter writer, MessageContext context, java.lang.Object value)`

Method Detail

### initialize

    void initialize(Service newParam)

### readParameter

    java.lang.Object readParameter(MessagePartInfo p,
                                   javax.xml.stream.XMLStreamReader reader,
                                   MessageContext context)
                                   throws XFireFault

  Throws:
    `XFireFault`

### writeParameter

    void writeParameter(MessagePartInfo p,
                        javax.xml.stream.XMLStreamWriter writer,
                        MessageContext context,
                        java.lang.Object value)
                        throws XFireFault

  Throws:
    `XFireFault`

### readHeader

    java.lang.Object readHeader(MessageHeaderInfo p,
                                MessageContext context)
                                throws XFireFault

  Throws:
    `XFireFault`

### writeHeader

    void writeHeader(MessagePartInfo p,
                     MessageContext context,
                     java.lang.Object value)
                     throws XFireFault

  Throws:
    `XFireFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.